Skip to main content
PUT
Update Wallet

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
agent_id
string
required

Body

application/json
credentials
WalletCredentialsSchema · object | null
mpp_config
MPPConfigSchema · object | null
service_budget_period
enum<string> | null

Budget reset period.

Available options:
execution,
daily,
monthly
service_budget_usd
status
enum<string> | null

Wallet operational status.

Available options:
active,
disabled
wallet_type
enum<string> | null

Supported wallet types.

Available options:
x402,
mpp,
dual
x402_config
X402ConfigSchema · object | null

Response

Successful Response

agent_id
string
required
id
string
required
service_budget_period
string
required
service_budget_usd
string
required
status
string
required
wallet_type
string
required
created_at
string<date-time> | null
has_credentials
boolean
default:false
mpp_config
Mpp Config · object | null
updated_at
string<date-time> | null
x402_config
X402 Config · object | null